#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './TokenKeySelectionDlg.ui'
**
** Created: Qua Mai 18 16:49:59 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "TokenKeySelectionDlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "./TokenKeySelectionDlg.ui.h"

/*
 *  Constructs a tokenKeySelectionDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
tokenKeySelectionDlg::tokenKeySelectionDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "tokenKeySelectionDlg" );
    tokenKeySelectionDlgLayout = new QHBoxLayout( this, 11, 6, "tokenKeySelectionDlgLayout"); 

    layout146 = new QVBoxLayout( 0, 0, 6, "layout146"); 

    gbIdentity = new QGroupBox( this, "gbIdentity" );
    gbIdentity->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, gbIdentity->sizePolicy().hasHeightForWidth() ) );
    gbIdentity->setColumnLayout(0, Qt::Vertical );
    gbIdentity->layout()->setSpacing( 6 );
    gbIdentity->layout()->setMargin( 11 );
    gbIdentityLayout = new QHBoxLayout( gbIdentity->layout() );
    gbIdentityLayout->setAlignment( Qt::AlignTop );

    layout90 = new QVBoxLayout( 0, 0, 6, "layout90"); 

    layout89 = new QHBoxLayout( 0, 0, 6, "layout89"); 

    identityText = new QLabel( gbIdentity, "identityText" );
    layout89->addWidget( identityText );
    spacer48 = new QSpacerItem( 125, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout89->addItem( spacer48 );
    layout90->addLayout( layout89 );

    identityName = new QLineEdit( gbIdentity, "identityName" );
    identityName->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, identityName->sizePolicy().hasHeightForWidth() ) );
    layout90->addWidget( identityName );
    gbIdentityLayout->addLayout( layout90 );
    layout146->addWidget( gbIdentity );

    groupBox5 = new QGroupBox( this, "groupBox5" );
    groupBox5->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, groupBox5->sizePolicy().hasHeightForWidth() ) );
    groupBox5->setColumnLayout(0, Qt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new QHBoxLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( Qt::AlignTop );

    layout145 = new QVBoxLayout( 0, 0, 6, "layout145"); 

    keyGroup = new QButtonGroup( groupBox5, "keyGroup" );
    keyGroup->setLineWidth( 0 );
    keyGroup->setColumnLayout(0, Qt::Vertical );
    keyGroup->layout()->setSpacing( 6 );
    keyGroup->layout()->setMargin( 11 );
    keyGroupLayout = new QVBoxLayout( keyGroup->layout() );
    keyGroupLayout->setAlignment( Qt::AlignTop );

    rbOne = new QRadioButton( keyGroup, "rbOne" );
    keyGroupLayout->addWidget( rbOne );

    rbTwo = new QRadioButton( keyGroup, "rbTwo" );
    keyGroupLayout->addWidget( rbTwo );

    rbThree = new QRadioButton( keyGroup, "rbThree" );
    keyGroupLayout->addWidget( rbThree );
    layout145->addWidget( keyGroup );

    layout93 = new QHBoxLayout( 0, 0, 6, "layout93"); 
    spacer49 = new QSpacerItem( 330, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout93->addItem( spacer49 );

    viewCertBtn = new QPushButton( groupBox5, "viewCertBtn" );
    viewCertBtn->setEnabled( FALSE );
    layout93->addWidget( viewCertBtn );
    layout145->addLayout( layout93 );
    groupBox5Layout->addLayout( layout145 );
    layout146->addWidget( groupBox5 );

    layout95 = new QHBoxLayout( 0, 0, 6, "layout95"); 
    spacer50 = new QSpacerItem( 350, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout95->addItem( spacer50 );

    okBtn = new QPushButton( this, "okBtn" );
    okBtn->setEnabled( FALSE );
    layout95->addWidget( okBtn );

    cancelBtn = new QPushButton( this, "cancelBtn" );
    layout95->addWidget( cancelBtn );
    layout146->addLayout( layout95 );
    tokenKeySelectionDlgLayout->addLayout( layout146 );
    languageChange();
    resize( QSize(577, 350).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelBtn, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okBtn, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( viewCertBtn, SIGNAL( clicked() ), this, SLOT( viewCert() ) );
    connect( rbOne, SIGNAL( toggled(bool) ), this, SLOT( enableViewCert(bool) ) );
    connect( rbTwo, SIGNAL( toggled(bool) ), this, SLOT( enableViewCert(bool) ) );
    connect( rbThree, SIGNAL( toggled(bool) ), this, SLOT( enableViewCert(bool) ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
tokenKeySelectionDlg::~tokenKeySelectionDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void tokenKeySelectionDlg::languageChange()
{
    setCaption( tr2i18n( "Adicionar uma nova identidade ao Assinador" ) );
    gbIdentity->setTitle( tr2i18n( "Fornecer um nome para esta identidade" ) );
    identityText->setText( tr2i18n( "Este é o nome que representará sua nova identidade :" ) );
    groupBox5->setTitle( tr2i18n( "Selecione uma chave armazenada no token" ) );
    keyGroup->setTitle( tr2i18n( "buttonGroup2" ) );
    rbOne->setText( tr2i18n( "radioButton10" ) );
    rbTwo->setText( tr2i18n( "radioButton11" ) );
    rbThree->setText( tr2i18n( "radioButton12" ) );
    viewCertBtn->setText( tr2i18n( "Visualizar certificado" ) );
    okBtn->setText( tr2i18n( "OK" ) );
    cancelBtn->setText( tr2i18n( "Cancelar" ) );
}

#include "TokenKeySelectionDlg.moc"
