/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include <qdir.h>
#include <qfiledialog.h>

bool VerifySettingsDlg::getExtract()
{
  return extractRadio->isChecked();
}

bool VerifySettingsDlg::getLeave()
{
  return leaveCB->isChecked();
}


bool VerifySettingsDlg::getDelete()
{
  return deleteCB->isChecked();
}


QString VerifySettingsDlg::getPath()
{
  return targetDir->text();
}


void VerifySettingsDlg::onTarget()
{
  
  QString path = QFileDialog::getExistingDirectory(
      QDir::homeDirPath(), this, 0, "Escolha um diretrio de destino para os arquivos decriptados");

        
  if(!path.isEmpty()) {
    targetDir->setText(path);
  }
}


void VerifySettingsDlg::onLeave(bool checked)
{
  dirBtn->setEnabled(!checked);
  targetDir->setEnabled(!checked);
}


void VerifySettingsDlg::onExtract(bool checked)
{
  leaveCB->setEnabled(checked);
  deleteCB->setEnabled(checked);
  dirBtn->setEnabled(!leaveCB->isChecked());
  targetDir->setEnabled(!leaveCB->isChecked());
}


void VerifySettingsDlg::onVerifyOnly(bool checked)
{
  leaveCB->setEnabled(!checked);
  deleteCB->setEnabled(!checked);
  dirBtn->setEnabled(!checked);
  targetDir->setEnabled(!checked);
}


void VerifySettingsDlg::onDelete(bool checked)
{
  if(checked){
    verifyRadio->setChecked(FALSE);
    extractRadio->setChecked(TRUE);
  }
}
 

void VerifySettingsDlg::init()
{
  targetDir->setText(QDir::currentDirPath());
  leaveCB->setEnabled(FALSE);
  deleteCB->setEnabled(FALSE);
  dirBtn->setEnabled(FALSE);
  targetDir->setEnabled(FALSE);
}
