#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './AddIdentity.ui'
**
** Created: Qua Mai 18 16:49:56 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "AddIdentity.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "./AddIdentity.ui.h"

/*
 *  Constructs a AddIdentity as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
AddIdentity::AddIdentity( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AddIdentity" );
    AddIdentityLayout = new QHBoxLayout( this, 11, 6, "AddIdentityLayout"); 
    AddIdentityLayout->setResizeMode( QLayout::Fixed );

    layout148 = new QVBoxLayout( 0, 0, 6, "layout148"); 

    frame = new QButtonGroup( this, "frame" );
    frame->setColumnLayout(0, Qt::Vertical );
    frame->layout()->setSpacing( 6 );
    frame->layout()->setMargin( 11 );
    frameLayout = new QVBoxLayout( frame->layout() );
    frameLayout->setAlignment( Qt::AlignTop );

    p12Radio = new QRadioButton( frame, "p12Radio" );
    p12Radio->setChecked( TRUE );
    frameLayout->addWidget( p12Radio );

    certRadio = new QRadioButton( frame, "certRadio" );
    frameLayout->addWidget( certRadio );

    rbToken = new QRadioButton( frame, "rbToken" );
    frameLayout->addWidget( rbToken );
    layout148->addWidget( frame );

    layout37 = new QHBoxLayout( 0, 0, 6, "layout37"); 
    spacer1 = new QSpacerItem( 364, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout37->addItem( spacer1 );

    okBtn = new QPushButton( this, "okBtn" );
    okBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, okBtn->sizePolicy().hasHeightForWidth() ) );
    okBtn->setMinimumSize( QSize( 110, 27 ) );
    okBtn->setDefault( TRUE );
    layout37->addWidget( okBtn );

    cancelBtn = new QPushButton( this, "cancelBtn" );
    cancelBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, cancelBtn->sizePolicy().hasHeightForWidth() ) );
    cancelBtn->setMinimumSize( QSize( 110, 27 ) );
    layout37->addWidget( cancelBtn );
    layout148->addLayout( layout37 );
    AddIdentityLayout->addLayout( layout148 );
    languageChange();
    resize( QSize(624, 181).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( okBtn, SIGNAL( clicked() ), this, SLOT( onOk() ) );
    connect( cancelBtn, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AddIdentity::~AddIdentity()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AddIdentity::languageChange()
{
    setCaption( tr2i18n( "Adicionar uma nova identidade ao Assinador" ) );
    frame->setTitle( tr2i18n( "Método de importação da identidade" ) );
    p12Radio->setText( tr2i18n( "Importar a identidade a partir de um arquivo PKCS#12" ) );
    certRadio->setText( tr2i18n( "Importar a identidade a partir de um certificado (signed certificate request)" ) );
    rbToken->setText( tr2i18n( "Importar a partir do token" ) );
    okBtn->setText( tr2i18n( "OK" ) );
    cancelBtn->setText( tr2i18n( "Cancelar" ) );
}

#include "AddIdentity.moc"
