/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
//
#include <qfiledialog.h>
#include <qdir.h>

bool DecryptSettingsDlg::getDeleteFile()
{
  return deleteCB->isChecked();
}


bool DecryptSettingsDlg::getLeaveFile()
{
  return leaveCB->isChecked();
}


QString DecryptSettingsDlg::getPath()
{
  if(!leaveCB->isChecked()) 
  {
    return "";  
  }    
  else
  {
    return targetDir->text();  
  }
}


void DecryptSettingsDlg::onTarget()
{
  
  QString path = QFileDialog::getExistingDirectory(
      QDir::homeDirPath(), this, 0, "Escolha um diretrio de destino para arquivos decriptados");

        
  if(!path.isEmpty()) {
    targetDir->setText(path);
  }
}


void DecryptSettingsDlg::onLeave()
{
  dirBtn->setEnabled(!leaveCB->isChecked());
  targetDir->setEnabled(!leaveCB->isChecked());
}


void DecryptSettingsDlg::init()
{
  targetDir->setText(QDir::homeDirPath());
}
